Subject: Re: Libification project (SoC)

From: "Shawn O. Pearce" <[email-masked]>
Date: Sun, 18 Mar 2007 23:55:26 -0400

Theodore Tso <[email-masked]> wrote:
> Berkely got it horribly wrong when it tried to start with the "small
> and beautiful" functions that were non-reentrant, and we've been
> paying the price ever since.  Do we really want to support two
> versions of the API forever?  Is it really that hard to support a
> reentrant API from the beginning?  I'd submit the answer to these two
> questions are no, and no, respectively.

I agree entirely, for every reason mentioned by Ted (including
those not quoted).  ;-)

I learned about gethostbyname after gethostbyname_r was already
introduced, so I have always been asking myself "uhhhhh, why do we
have gethostbyname?".  ;-)

-- 
Shawn.